<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>keypress</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <h2>Нажмите какие-нибудь клавиши</h2>
    <div id="result"></div>
    <script>
        $(document).keypress(function (biribi){
            key = String.fromCharCode(biribi.which);
            if( key >= 'a' && key <= 'z' ||
                key >= 'A' && key <= 'Z' ||
                key >= '0' && key <='9') [
                $('#result').html('Вы нажали ' + key)
            ]
        })
    </script>
</body>
</html>